#!/bin/bash

RUNFILE=/tmp/vlcrunning
VLC=/usr/bin/vlc
V4LCTL=/usr/bin/v4lctl

case "$1" in
  start|--start)
    $VLC v4l:/dev/video0:norm=pal:size=352x288:adev=/dev/dsp2:audio=0 --sout '#transcode{vcodec=mp4v,acodec=mpga,vb=1500,ab=128,venc=ffmpeg{keyint=200,hurry-up,vt=800000},deinterlace}:std{access=udp,mux=ts,url=239.255.12.13}' --ttl 12 -I dummy --daemon --control logger --logfile /var/log/vlclog
    touch "$RUNFILE"
    exit
  ;; 

  stop|--stop)

    PIDS=`ps ax | grep vlc | sed -e "s/.*killp.*//" -e "s/ *\([0-9]\{1,6\}\) .*/\1/" | grep -v "^$"`

    if [ ! -z "$PIDS" ]; then
      echo Killing $PROCESS pid=$PIDS
    kill -3 $PIDS
    else
      echo "No process $PROCESS in process list"
    fi

    if [ -f "$RUNFILE" ]
    then
      rm "$RUNFILE"
    fi
    exit
  ;;

  status|--status)

    if [ -f "$RUNFILE" ]
    then
      echo "VLC is running"
      exit 1
    else
      echo "VLC is not running"
      exit 0
    fi
    exit
  ;;

  channel|--channel)

    if [ -f "$RUNFILE" ]
    then
      echo "VLC is running, run $0 stop first"
    else
      $V4LCTL -c /dev/video0 setstation "$2"
    fi
    exit
  ;;

esac

